Video Stabilization

Use stabilization algorithms to reduce handheld shake and motion blur. The current implementation provides three stabilization methods.

Create Task

Basic Information

ItemValue
Request MethodPOST
Request Path/task/video_stabilizer
Content-Typeapplication/json
AuthenticationRaw API key in the Authorization header

Request Body

ParameterTypeRequiredDefaultDescription
file_idstringYes-Uploaded video file ID
methodstringNo"turbo"Stabilization method: turbo, fast, or exp

method Meanings

ValueDescription
turboRecommended default model and currently the most stable option
fastFaster model with lower latency
expExperimental model with higher quality potential, but may introduce visible stretching artifacts

Request Example

curl -X POST https://api.ai-mcn.tv:10000/task/video_stabilizer \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "file_id": "537489015178246",
    "method": "turbo"
  }'

Success Example

{
  "code": 200,
  "msg": "success",
  "data": {
    "task_id": "537489015178247",
    "task_type": "video_stabilizer",
    "status": "queued"
  }
}

Query Task Result

Basic Information

ItemValue
Request MethodGET
Request Path/task/video_stabilizer/{task_id}
AuthenticationRaw API key in the Authorization header

Output Result (output_result)

ParameterTypeDescription
file_idstringProcessed video file ID
download_urlstringDownload path for the processed video

Success Example

{
  "code": 200,
  "msg": "success",
  "data": {
    "task_id": "537489015178247",
    "status": "completed",
    "progress": 100,
    "output_result": {
      "file_id": "537489015178248",
      "download_url": "/download/a1/output.mp4"
    },
    "create_time": "2026-04-05T08:00:00Z",
    "update_time": "2026-04-05T08:01:20Z"
  }
}

Error Codes

Error CodeHTTP StatusDescriptionResolution
6013400Missing file_idPass the file_id field
6014400File type does not match the taskUpload a video file
6004404File not foundVerify the file_id
6502401Authentication failedCheck the Authorization header
6202402Insufficient balanceRecharge in the Dashboard